# !!! NOTE: PLD supplies stable xorriso from libisoburn.spec (using libjte+libisofs+libburn)
# 1.5.odd are development snapshots
#
# Conditional build:
%bcond_without	tests		# don't perform "make test"
#
Summary:	ISO 9660 Rock Ridge Filesystem Manipulator
Summary(pl.UTF-8):	Program do operacji na systemach plików ISO 9660 Rock Ridge
Name:		xorriso
%define	basever	1.5.4
Version:	%{basever}.pl02
Release:	0.1
License:	GPL v3+
Group:		Applications
# stable (1.5.even)
#Source0:	https://ftp.gnu.org/gnu/xorriso/%{name}-%{version}.tar.gz
# development (1.5.odd)
Source0:	https://www.gnu.org/software/xorriso/%{name}-%{version}.tar.gz
# Source0-md5:	81628f176a768c7c834563d49226d3e8
Patch0:		%{name}-info.patch
URL:		http://www.gnu.org/software/xorriso/
BuildRequires:	acl-devel
BuildRequires:	attr-devel
BuildRequires:	autoconf >= 2.50
BuildRequires:	automake
BuildRequires:	bzip2-devel
BuildRequires:	libtool
BuildRequires:	readline-devel
BuildRequires:	rpm-build >= 4.6
BuildRequires:	texinfo
BuildRequires:	zlib-devel
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
xorriso copies file objects from POSIX compliant filesystems into Rock
Ridge enhanced ISO 9660 filesystems and allows session-wise
manipulation of such filesystems. It can load the management
information of existing ISO images and it writes the session results
to optical media or to filesystem objects.

Vice versa xorriso is able to copy file objects out of ISO 9660
filesystems.

%description -l pl.UTF-8
xorriso kopiuje obiekty plików z systemów plików zgodnych z POSIX na
systemy plików ISO 9660 z rozszerzeniem Rock Ridge oraz pozwala na
operacje na tych systemach plików w ramach sesji. Potrafi wczytywać
informacje zarządzające z istniejących obrazów ISO i zapisuje wyniki
sesji na nośnik optyczny lub do obiektów systemu plików.

W drugą stronę xorriso potrafi kopiować obiekty plików z systemów
plików ISO 9660.

%package gui
Summary:	Tcl/Tk based frontend to the ISO 9660 Rock Ridge Filesystem Manipulator
Summary(pl.UTF-8):	Oparty na Tcl/Tk interfejs do obsługi xorriso w formie okien dialogowych
Group:		X11/Applications
Requires:	tk-BWidget
Requires:	%{name} = %{version}-%{release}
Obsoletes:	xorriso-tcltk < 1.3.4
BuildArch:	noarch

%description gui
Tcl/Tk based frontend that operates xorriso in dialog mode.

%description gui -l pl.UTF-8
Oparty na Tcl/Tk interfejs do obsługi xorriso w formie okien
dialogowych.

%prep
%setup -q -n %{name}-%{basever}
%patch0 -p1

%build
%{__libtoolize}
%{__aclocal}
%{__autoconf}
%{__autoheader}
%{__automake}
%configure
%{__make}

%{?with_tests:%{__make} test}

%install
rm -rf $RPM_BUILD_ROOT

%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

rm -f $RPM_BUILD_ROOT%{_infodir}/dir

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc AUTHORS CONTRIBUTORS COPYRIGHT ChangeLog README doc/*
%attr(755,root,root) %{_bindir}/osirrox
%attr(755,root,root) %{_bindir}/xorrecord
%attr(755,root,root) %{_bindir}/xorriso
%attr(755,root,root) %{_bindir}/xorriso-dd-target
%attr(755,root,root) %{_bindir}/xorrisofs
%{_mandir}/man1/xorrecord.1*
%{_mandir}/man1/xorriso.1*
%{_mandir}/man1/xorriso-dd-target.1*
%{_mandir}/man1/xorrisofs.1*
%{_infodir}/xorrecord.info*
%{_infodir}/xorriso.info*
%{_infodir}/xorriso-dd-target.info*
%{_infodir}/xorrisofs.info*

%files gui
%defattr(644,root,root,755)
%attr(755,root,root) %{_bindir}/xorriso-tcltk
%{_mandir}/man1/xorriso-tcltk.1*
%{_infodir}/xorriso-tcltk.info*
%changelog
* Sun Aug 28 2022 TLD Linux <feedback@tld-linux.org>
- For complete changelog see: http://git.tld-linux.org/?p=packages/xorriso.git;a=log;h=master

* Sat Mar 06 2021 Jakub Bogusz <qboosh@pld-linux.org> e27dcd4
- up to 1.5.4.pl02

* Tue Nov 12 2019 Jakub Bogusz <qboosh@pld-linux.org> f2cec66
- up to 1.5.3 development snapshot

* Sat Mar 09 2019 Grzegorz Pycia <gzohop@pld-linux.org> 71d6aed
-  up tp 1.5.1

* Wed Sep 19 2018 Jakub Bogusz <qboosh@pld-linux.org> 6e35800
- up to 1.5.0

* Thu Dec 07 2017 Jakub Bogusz <qboosh@pld-linux.org> 63ccab7
- up to 1.4.8

* Wed Oct 26 2016 Jakub Bogusz <qboosh@pld-linux.org> d869e44
- up to 1.4.6

* Sun Jul 17 2016 Jakub Bogusz <qboosh@pld-linux.org> 4e4c038
- up to 1.4.4

* Sat Jun 13 2015 Jakub Bogusz <qboosh@pld-linux.org> ba24e7d
- up to 1.4.0

* Sun Jun 29 2014 Jakub Bogusz <qboosh@pld-linux.org> f54cdd9
- up to 1.3.8

* Thu Mar 06 2014 Jakub Bogusz <qboosh@pld-linux.org> f683a55
- up to 1.3.6

* Sat Dec 14 2013 Jakub Bogusz <qboosh@pld-linux.org> 131b080
- up to 1.3.4, further unified with libisoburn.spec (merged info patch, renamed -tcltk to -gui)

* Tue Nov 12 2013 Jacek Konieczny <jajcus@jajcus.net> 1a1d81a
- Note about the other package providing xorriso

* Tue Nov 12 2013 Jacek Konieczny <jajcus@jajcus.net> e8450de
- new package

